version: '3.2'
services:
  #CONFIGURACION WEB
  web-nginx:
    image: nginx:latest
    container_name: web
    ports:
      - '8080:80'
    volumes:
      - ./docker/nginx-web/default.conf:/etc/nginx/conf.d/default.conf:ro
      - ./examen-final/:/var/www/html
    depends_on:
      - web-php
    networks:
      silviopd:
        ipv4_address: 172.21.0.10

  web-php:
    build: ./docker/php
    container_name: web-php
    volumes:
      - ./docker/php/php.ini:/usr/local/etc/php/conf.d/php.ini:ro
      - ./examen-final/:/var/www/html
    networks:
      silviopd:
        ipv4_address: 172.21.0.11
  #CONFIGURACION WEB

  #CONFIGURACION PHPMYADMIN
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: phpmyadmin
    ports:
      - '8000:80'
    depends_on:
      - mysql
    environment:
      - MYSQL_USERNAME=root
      - MYSQL_ROOT_PASSWORD=123
      - PMA_HOST=mysql
    networks:
      silviopd:
        ipv4_address: 172.21.0.14
  #CONFIGURACION PHPMYADMIN

  #CONFIGURACION MYSQL
  mysql:
    image: mysql:latest
    container_name: mysql
    command: mysqld --default-authentication-plugin=mysql_native_password
    restart: always
    volumes:
      - ./bd/data:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=123
      - MYSQL_ROOT_HOST=%
      - MYSQL_DATABASE=examen-final
    ports:
      - '3306:3306'
    networks:
      silviopd:
        ipv4_address: 172.21.0.15
  #CONFIGURACION MYSQL

#CONFIGURANDO RED#
networks:
  silviopd:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.21.0.0/24
#CONFIGURANDO RED#
